#!/bin/bash
USER=root
PASS="$(echo $MYSQL_ROOT_PASSWORD)"
COPIES=2
BASE=/mnt

echo
date
echo
echo "dumping databases"
i=$(($COPIES - 1))
while [ $i -ge 0 ];
do
        [ -s $BASE/databases.sql.$i.gz ] && mv $BASE/databases.sql.$i.gz $BASE/databases.sql.$(($i+1)).gz
        i=$(($i-1))
done
/usr/bin/mysqldump -u $USER --password=$PASS --all-databases | gzip >$BASE/databases.sql.0.gz